Bug 1984024 (CVE-2021-3655) - CVE-2021-3655 kernel: missing size validations on inbound SCTP packets
Summary: CVE-2021-3655 kernel: missing size validations on inbound SCTP packets
Keywords:
Status: NEW
Alias: CVE-2021-3655
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1985145 1986966 1985143 1985144 1985843
Blocks: 1977906 1984026
TreeView+ depends on / blocked
 
Reported: 2021-07-20 13:03 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-09-15 05:47 UTC (History)
43 users (show)

Fixed In Version: kernel v5.14-rc1
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the Linux kernel. Missing size validations on inbound SCTP packets may allow the kernel to read uninitialized memory.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-07-20 13:03:51 UTC
A vulnerability was found in the Linux kernel. Missing size validations on inbound SCTP packets may allow the kernel to read uninitialized memory.

Reference and upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net.git/commit/?id=f9beb95e6a2669fa35e34a6ff52808b181efa20f

Comment 1 Wade Mealing 2021-07-23 01:55:21 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1985143]

Comment 8 Justin M. Forbes 2021-07-26 16:54:42 UTC
This was fixed for Fedora with the 5.13.4 rebases.


Note You need to log in before you can comment on or make changes to this bug.